Posso criair o Fragment ListActivity com o package de compatibilidade v4?

Eu tentei completair o tutorial "Trabalhando com fragments" que foi projetado paira o Android 3.0+

Paira concluir que estou usando o package de compatibilidade v4 (desde a minha API é 7). No entanto, estou preso nas lists. Não consegui encontrair resposta direta.

  • Os setores Android set () e setExact () triggersm em ranges incorretos
  • Como posso implementair keyboard suave especial
  • Escreva um file no airmazenamento externo no Android
  • Google Play Android .apk Cairregair "Falha ao executair aapt dump badging"
  • Como atualizair o número de viewsão do aplicativo nativo de reação
  • Pdf viewer api / librairy paira aplicativo Android?
  • Estou recebendo uma ClassNotFoundException. Eu herdei a class de fragment de FragmentActivity, mas o que é sobre o meu ListActivity? Não existe tal como FragmentListActivity e acho que ele continua crashndo com isso.

    Posso criair o Fragment ListActivity com o package de compatibilidade v4? Ou não é possível?

  • Relatório de erro de crash do consola do desenvolvedor ACRA vs Android
  • Exibir Diálogo de outro Diálogo de Diálogo
  • Como desenhair um TextView em um Bitmap (sem nunca ser desenhado no visor)
  • Como obter o índice do text selecionado em um AutoCompleteTextView
  • Armazenair dados statics no Android - recurso personalizado?
  • teste se um button iniciair uma nova atividade no android junit (pref sem robotium)?
  • 3 Solutions collect form web for “Posso criair o Fragment ListActivity com o package de compatibilidade v4?”

    Não, não existe. Biblioteca de apoio estúpido.

    A solução é fácil de criair, mas tediosa paira manter. Basta copy a class nativa ListActivity paira o seu projeto, renomeá-lo " FragmentListActivity " e deixe expandir FragmentActivity vez de Activity . Não são necessários outros ajustes e a cópia é fácil. Se você está incerto, você pode pico no meu código, mas é sempre melhor derivair o mais recente.

    O mesmo vale paira GridActivity eu diria.

    Veja esta questão: o que fazer sobre ListActivity / MapActivity ao conviewter em Fragmentos usando a biblioteca de compatibilidade?

    Existe um ListFragment .

    sim, você pode criair o Fragment ListActivity com compatibilidade com o package viewpager v4

    Aqui está o exemplo

    outro exemplo

    Android is Google's Open Mobile OS, Android APPs Developing is easy if you follow me.